/************************************************************************************
iPhone Communication RT-Component
Copyright (c) 2010, Nagoya Institute of Technology
All rights reserved.

Contact us if you use this software for sell.
If you use this software not for sell, you can use this software under BSD lisence.
See the files LICENSE.TXT and LICENSE-BSD.TXT for more details.                     
************************************************************************************/
import java.net.*;
import java.io.*;

public class URLDataDownloader implements Runnable {

	boolean dataGetFlag=false;
	boolean proxyFlag=false;
	String proxyHost="proxy.kuins.net";
	int proxyPort=8080;
	String targetURL="http://www.satolab.org/temp/test.txt";

	public void run(){
		System.out.println("URL Data GET start!");

		//vLV̐ݒ
		if(proxyFlag){
			System.setProperty("http.proxyHost", "proxy.kuins.net");
			System.setProperty("http.proxyPort", "8080");
		}

		while(true){
			try {
				Thread.sleep(200);
			}catch(Exception xe){
					xe.getStackTrace();
			}
			
			if(dataGetFlag){
				try{
					//URl̍쐬
					URL url;
//					if(proxyFlag){
//						url=new URL("http", proxyHost, proxyPort, targetURL);
//					}else{
						url=new URL(targetURL);
//					}
					
					//HTTPڑ
					HttpURLConnection urlconn = (HttpURLConnection)url.openConnection();
					urlconn.setRequestMethod("GET");
					urlconn.setInstanceFollowRedirects(false);
//					urlconn.setRequestProperty("Accept-Language", "ja;q=0.7,en;q=0.3");
//					urlconn.usingProxy();
					urlconn.setUseCaches(false);
					urlconn.connect();
					System.out.println("http: "+urlconn.getResponseCode()+", "+urlconn.getResponseMessage());
					
					//ǂݎpobt@[_iXg[j̍쐬
					BufferedReader reader=new BufferedReader(new InputStreamReader(urlconn.getInputStream()));
					
					while(true){
						String line=reader.readLine();
						if(line==null){
							System.out.println("----------------------");
							break;
						}
						System.out.println(line);
					}
					reader.close();
					urlconn.disconnect();
					reader=null;
					urlconn=null;
					url=null;
					
				}catch(Exception e){
					System.out.println("error:"+e.getMessage());
				}
				
			}
		}
	}
}
